body {
  color: #666; 
  text-align: center;
  font-family: Arial;
  overflow: hidden;  
  padding: 0px;
  margin: 0px;  
  width: 1002px;
  height: 664px;
}

input{
	font-size: 20pt;
	width: 80px;
	height: 60px;
}

h1{
	margin-top: 20vh;
}

.display3d{
	margin: none;
	width: 100%;
	height: 564px;
	overflow: hidden;
	border: 1px solid white;
	background-repeat: no-repeat;
	background-color: gray;
	transform-origin: top left;
}
  
.space3d {	
	margin-top: 200px;
	perspective: 600px;
	width: 250px;
	height: 250px;
	text-align: center;
	display: inline-block;
}

.world{
	transform: translateZ(0px);
	transform-style: preserve-3d;
}

._3dbox {
	display: inline-block;
	transition: all 0.85s cubic-bezier(0.175,0.885,0.320,1.275);
    text-align: center;
	position: absolute;
	width: 250px;
	height: 250px;
	transform-style: preserve-3d; 
	display:block;		
}

._3dface {
	width: 250px;
	height: 250px;
	overflow: hidden;
	position: absolute;
	border: 1px solid #888;
	background: #FFF;
	color: #333;
	line-height: 250px;
	opacity: 1;
	border: 0;
}

._3dface:after {
  content: "";
  position: fixed;
  top: 0; bottom: 0; left: 0; right: 0; 
  background: rgba(0,0,0,0.0);
  pointer-events: none;
}

._3dface--front {
  transform: translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: 100%;
}
  
._3dface--top {
  transform: rotateX(90deg) translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: auto 100%;
}

._3dface--bottom {
  transform: rotateX(-90deg) translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: auto 100%;
}

._3dface--left {
  left: 50%;
  margin-left: -125px;
  transform: rotateY(-90deg) translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: auto 100%;
}

._3dface--right {
  left: 50%;
  margin-left: -125px;
  transform: rotateY(90deg) translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: auto 100%;
}

._3dface--back {
  transform: rotateY(180deg) translate3d(0px, 0px, 125px);
  background: url(wall.png);
  background-size: auto 100%;
}